.. AUTO-GENERATED FILE. DO NOT EDIT. fulfillment-associate-stores-get-one ==================================== Source ------ - Repository: ``jef-systems/jef-fulfillment-associate-backend`` - Source Run ID: ``25101494786`` - Source SHA: ``c226ca62ef6b026753728d0bc8bc0d132f27115d`` - Module: ``fulfillment-associate`` - Documentation Scope: ``get`` - Lambda: ``jef-fulfillment-associate-get-5`` Endpoint -------- - API Name: ``jef-fulfillment-associate`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/fulfillment-associate-stores-get-one`` - Complete Endpoint: ``https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-stores-get-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fulfillment-associate-get-5`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-fulfillment-associate-get-5 API Name: jef-fulfillment-associate Action: get Method: GET Resource Path: /fulfillment-associate-stores-get-one Table: - table: jef-fulfillment-associate-stores - operation: get-one Payload Schema: - pk: id Payload Example: - pk: store-001 Response Schema: - exists: boolean - message: string - item: {"id":"string","store_number":"string","store_name":"string","branch_name":"string","store_type":"string","receipt_header_name":"string","receipt_header_subtitle":"string","address_line_1":"string","address_line_2":"string","barangay":"string","city_municipality":"string","province":"string","postal_code":"string","contact_number":"string","email":"string","manager_name":"string","can_fulfill_orders":"boolean","can_receive_transfers":"boolean","is_active":"boolean","notes":"string","created_at":"string","updated_at":"string","idempotency_key":"string"} Request Payload --------------- .. code-block:: json { "pk": "id" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "item": "{\"id\":\"string\",\"store_number\":\"string\",\"store_name\":\"string\",\"branch_name\":\"string\",\"store_type\":\"string\",\"receipt_header_name\":\"string\",\"receipt_header_subtitle\":\"string\",\"address_line_1\":\"string\",\"address_line_2\":\"string\",\"barangay\":\"string\",\"city_municipality\":\"string\",\"province\":\"string\",\"postal_code\":\"string\",\"contact_number\":\"string\",\"email\":\"string\",\"manager_name\":\"string\",\"can_fulfill_orders\":\"boolean\",\"can_receive_transfers\":\"boolean\",\"is_active\":\"boolean\",\"notes\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\"}" } CMD curl -------- .. code-block:: text curl "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-stores-get-one?pk=store-001" PowerShell curl --------------- .. code-block:: text curl.exe "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-stores-get-one?pk=store-001"